/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.catonine.swing.tail;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import nu.zoom.swing.action.AbstractTypedAction;
import nu.zoom.ui.Resources;
import nu.zoom.ui.Resources.ResourceNotFoundException;

/**
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class CopyToClipboardAction extends AbstractTypedAction {
	private static final long serialVersionUID = -7527178223673638243L;
	final Action copyAction;

	public CopyToClipboardAction(final Action copyAction, final Resources messages) throws ResourceNotFoundException {
		this.copyAction = copyAction;
		setName(messages.getMessage("nu.zoom.catonine.tail.copyselection"));
		setToolTip(messages.getMessage("nu.zoom.catonine.tail.copyselection.tt"));
		setIcon(messages.getIcon("nu.zoom.catonine.tail.copyselection.icon"));
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		copyAction.actionPerformed(e);
	}

}
