/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
package nu.zoom.catonine.swing.tail;

public class DocumentLogEntry {
	public boolean synthetic = false;
	public int documentOffset;
	public int documentLength;
	public long fileOffset;
	public int fileLength;
	public String styleGUID;

	@Override
	public String toString() {
		return "DocumentLogEntry [offset=" + documentOffset + ", length=" + documentLength + ", fileOffset="
				+ fileOffset + ", fileLength=" + fileLength + ", styleGUID=" + styleGUID + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + (int) (fileOffset ^ (fileOffset >>> 32));
		result = prime * result + ((styleGUID == null) ? 0 : styleGUID.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DocumentLogEntry other = (DocumentLogEntry) obj;
		if (fileOffset != other.fileOffset)
			return false;
		if (styleGUID == null) {
			if (other.styleGUID != null)
				return false;
		} else if (!styleGUID.equals(other.styleGUID))
			return false;
		return true;
	}
}