/*
Copyright 2011 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.catonine.swing.tail;

import java.awt.event.ActionEvent;

import nu.zoom.swing.action.AbstractTypedAction;
import nu.zoom.ui.Resources;
import nu.zoom.ui.Resources.ResourceNotFoundException;

/**
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class EditStyleRuleAction extends AbstractTypedAction {
	private static final long serialVersionUID = 3196086178779146332L;
	private final TailPane pane;

	public EditStyleRuleAction(final TailPane pane, final Resources messages) throws ResourceNotFoundException {
		this.pane = pane;
		setToolTip(messages.getMessage("nu.zoom.catonine.configurations.edit.tt"));
		setIcon(messages.getIcon("nu.zoom.catonine.configurations.edit.icon"));
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		this.pane.editCurrentStyleRules();
	}

}
